Subject: WORKMAN & VOLD - ANSWER (was:: Workman again....)

From: [email-masked] (Dave Brillhart)
Date: Fri, 11 Feb 1994 22:18:16 GMT

Goeran Jensen ([email-masked]) wrote:
: Hello All,
:
: Maybe somebody could email me a solution to get "workman" work with volume
: managment software (automounter) under Solaris 2.3

Here is how I got Workman 2.1 to work with Solaris 2.3's volume
manager. It is very simply to setup. I have 2 CDROM drives
on my system so that I can listen to music on one.

I've got it so that if I put in a data disk in either one (or both),
the file manager pops up. If I put in an audio disk in either one
(haven't tried both :-), workman pops up.

Anyway, the only thing needed was to slightly modify both
/etc/vold.conf AND /etc/rmmount.conf. If you only have a single
CDROM drive attached, you can probably leave /etc/vold.conf alone.

Here are my two files.

Enjoy!!

                                           Dave Brillhart
                                           UNIX Systems Group
                                           (407) 729-5430
                                           [email-masked]

# @(#)vold.conf 1.16     93/05/17 SMI
#
# Volume Daemon Configuration file
#

# Database to use (must be first)
db db_mem.so

# Labels supported
label dos label_dos.so floppy
label cdrom label_cdrom.so cdrom
label sun label_sun.so floppy 

# Devices to use
use cdrom drive /dev/dsk/c0t6 dev_cdrom.so cdrom0
use cdrom drive /dev/dsk/c0t5 dev_cdrom.so cdrom1
use floppy drive /dev/diskette dev_floppy.so floppy0

# Actions
insert /vol*/dev/diskette[0-9]/* user=root /usr/sbin/rmmount
insert /vol*/dev/dsk/* user=root /usr/sbin/rmmount
eject /vol*/dev/diskette[0-9]/* user=root /usr/sbin/rmmount
eject /vol*/dev/dsk/* user=root /usr/sbin/rmmount
notify /vol*/rdsk/* group=tty /usr/lib/vold/volmissing -c

# List of file system types unsafe to eject
unsafe ufs hsfs pcfs

# @(#)rmmount.conf 1.2     92/09/23 SMI
#
# Removable Media Mounter configuration file.
#

# File system identification
ident hsfs ident_hsfs.so cdrom
ident ufs ident_ufs.so cdrom floppy
ident pcfs ident_pcfs.so floppy

# Actions
action -premount floppy action_wabi.so.1
action cdrom action_workman.so /usr/local/bin/workman
action cdrom action_filemgr.so
action floppy action_filemgr.so

# Share
share cdrom*